Package org.eclipse.microprofile.lra.tck

# Class TckTests

java.lang.Object
org.eclipse.microprofile.lra.tck.TckTestBase
org.eclipse.microprofile.lra.tck.TckTests

public class TckTests extends TckTestBase

## Field Summary

### Fields inherited from class org.eclipse.microprofile.lra.tck.TckTestBase

`testName`

## Constructor Summary

Constructors
Constructor
Description
`TckTests()`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptCancelTest()`
`void`
`acceptCloseTest()`
`void`
`cancelLRA()`
Starting LRA and cancelling it.
`void`
`closeLRA()`
Starting LRA and closing it.
`void`
`compensateMultiLevelNestedActivity()`
`void`
`completeMultiLevelNestedActivity()`
`void`
`dependentLRA()`
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`
`void`
`join()`
`void`
`joinLRAViaHeader()`
`void`
`joinWithOneResourceDifferentMethodTwiceWithCancel()`
client invokes the same participant twice but using different methods in the same LRA context cancel the LRA check that the participant was asked to compensate only once
`void`
`joinWithOneResourceDifferentMethodTwiceWithClose()`
client invokes the same participant twice but using different methods in the same LRA context close the LRA check that the participant was asked to complete only once
`void`
`joinWithOneResourceSameMethodTwiceWithCancel()`
client invokes the same participant method twice in the same LRA context cancel the LRA check that the participant was asked to compensate only once
`void`
`joinWithOneResourceSameMethodTwiceWithClose()`
client invokes the same participant method twice in the same LRA context close the LRA check that the participant was asked to complete only once
`void`
`joinWithTwoResourcesWithCancel()`
client invokes different participants in the same LRA context cancel the LRA check that both participants were asked to compensate
`void`
`joinWithTwoResourcesWithClose()`
client invokes different participant in the same LRA context close the LRA check that both participants were asked to complete
`void`
`leaveLRA()`
`void`
`mixedMultiLevelNestedActivity()`
`void`
`nestedActivity()`
`void`
`noLRATest()`
`void`
`testAfterLRAListener()`
TCK test to verify that methods annotated with `AfterLRA` are notified correctly when an LRA terminates
`void`
`testAfterLRAParticipant()`
TCK test to verify that methods annotated with `AfterLRA` are notified correctly when an LRA terminates
`void`
`timeLimit()`
`void`
`timeLimitWithPreConditionFailed()`
Service A - Timeout 500 ms Service B - Type.MANDATORY Service A calls Service B after it has waited 1 sec.

### Methods inherited from class org.eclipse.microprofile.lra.tck.TckTestBase

`after, before`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TckTests

public TckTests()

## Method Details

### deploy

@Deployment(name="tcktests") public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

### cancelLRA

public void cancelLRA() throws jakarta.ws.rs.WebApplicationException

Starting LRA and cancelling it.

It's expected the LRA won't be listed in active LRAs when cancelled.

Throws:
  `jakarta.ws.rs.WebApplicationException`

### closeLRA

public void closeLRA() throws jakarta.ws.rs.WebApplicationException

Starting LRA and closing it.

It's expected the LRA won't be listed in active LRAs when closed.

Throws:
  `jakarta.ws.rs.WebApplicationException`

### nestedActivity

public void nestedActivity() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

### completeMultiLevelNestedActivity

public void completeMultiLevelNestedActivity() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

### compensateMultiLevelNestedActivity

public void compensateMultiLevelNestedActivity() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

### mixedMultiLevelNestedActivity

public void mixedMultiLevelNestedActivity() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

### joinLRAViaHeader

public void joinLRAViaHeader() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

### join

public void join() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

### testAfterLRAParticipant

public void testAfterLRAParticipant() throws jakarta.ws.rs.WebApplicationException, InterruptedException
TCK test to verify that methods annotated with `AfterLRA` are notified correctly when an LRA terminates

Throws:
  `InterruptedException` - when waiting for the finishing the callbacks is interrupted
  `jakarta.ws.rs.WebApplicationException`

### testAfterLRAListener

public void testAfterLRAListener()
TCK test to verify that methods annotated with `AfterLRA` are notified correctly when an LRA terminates

### leaveLRA

public void leaveLRA() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

### dependentLRA

public void dependentLRA() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

### timeLimit

public void timeLimit()

### timeLimitWithPreConditionFailed

public void timeLimitWithPreConditionFailed()
Service A - Timeout 500 ms Service B - Type.MANDATORY Service A calls Service B after it has waited 1 sec. Service A returns http Status from the call to Service B. test calls A and verifies if return is status 412 (precondition failed) or 410 (gone) since LRA is not active when Service B endpoint is called.

### acceptCloseTest

public void acceptCloseTest() throws jakarta.ws.rs.WebApplicationException, InterruptedException

Throws:
  `jakarta.ws.rs.WebApplicationException`
  `InterruptedException`

### acceptCancelTest

public void acceptCancelTest() throws jakarta.ws.rs.WebApplicationException, InterruptedException

Throws:
  `jakarta.ws.rs.WebApplicationException`
  `InterruptedException`

### noLRATest

public void noLRATest() throws jakarta.ws.rs.WebApplicationException

Throws:
  `jakarta.ws.rs.WebApplicationException`

### joinWithOneResourceSameMethodTwiceWithCancel

public void joinWithOneResourceSameMethodTwiceWithCancel() throws jakarta.ws.rs.WebApplicationException
client invokes the same participant method twice in the same LRA context cancel the LRA check that the participant was asked to compensate only once

Throws:
  `jakarta.ws.rs.WebApplicationException`

### joinWithOneResourceDifferentMethodTwiceWithCancel

public void joinWithOneResourceDifferentMethodTwiceWithCancel() throws jakarta.ws.rs.WebApplicationException
client invokes the same participant twice but using different methods in the same LRA context cancel the LRA check that the participant was asked to compensate only once

Throws:
  `jakarta.ws.rs.WebApplicationException`

### joinWithOneResourceSameMethodTwiceWithClose

public void joinWithOneResourceSameMethodTwiceWithClose() throws jakarta.ws.rs.WebApplicationException
client invokes the same participant method twice in the same LRA context close the LRA check that the participant was asked to complete only once

Throws:
  `jakarta.ws.rs.WebApplicationException`

### joinWithOneResourceDifferentMethodTwiceWithClose

public void joinWithOneResourceDifferentMethodTwiceWithClose() throws jakarta.ws.rs.WebApplicationException
client invokes the same participant twice but using different methods in the same LRA context close the LRA check that the participant was asked to complete only once

Throws:
  `jakarta.ws.rs.WebApplicationException`

### joinWithTwoResourcesWithClose

public void joinWithTwoResourcesWithClose() throws jakarta.ws.rs.WebApplicationException
client invokes different participant in the same LRA context close the LRA check that both participants were asked to complete

Throws:
  `jakarta.ws.rs.WebApplicationException`

### joinWithTwoResourcesWithCancel

public void joinWithTwoResourcesWithCancel() throws jakarta.ws.rs.WebApplicationException
client invokes different participants in the same LRA context cancel the LRA check that both participants were asked to compensate

Throws:
  `jakarta.ws.rs.WebApplicationException`